Subject: Re: Ping: Cygwin libtool / assembler problem with -DPIC
From: Noah Misch <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: cygwin <[email-masked]>, [email-masked]
Date: Wed, 13 Oct 2004 10:01:35 -0700

On Tue, Oct 12, 2004 at 03:29:10PM +0200, Gerrit P. Haase wrote:
> Gerrit wrote:
> 
> PING!
> 
> > Hello,
> 
> > With GNU as PIC is not an noop, when -DPIC is used to invoke gas the
> > generated assembly is broken.  I saw this problem with a
> > reautoconfiscated version of GMP.  This may be unusual, but there was
> > libtool used to invoke gas.

What do you mean by ``the generated assembly is broken''?  Please show the error
you encountered.

I built gmp-4.1.4 on Cygwin, and it passed all tests.  I used the shipped
``configure'', but adding -DPIC is not a new libtool behavior.

There was a thread about this general topic awhile ago.  That GMP actively uses
-DPIC to select the correct assembly came up:

http://lists.gnu.org/archive/html/libtool/2003-01/msg00060.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/